mod indicators {
    pub mod git;
    pub mod pwd;
}

use crate::indicators::{git, pwd};

fn main() {
    // Hard-coded configuration. This will be replaced by a configuration file in a future version
    let indicate_git_branch: bool = true;
    let abbrev_home: bool = true;
    let shorten_path: bool = true;
    let replace_repo: bool = true;

    // Conditionally fetch Git-related info if required, or set to None
    let git_info: Option<(String, String)> = if indicate_git_branch || replace_repo {
        git::info()
    } else {
        None
    };

    let repo_path = git_info.map(|info| info.0);
    let promt_pwd = pwd::pwd(abbrev_home, shorten_path, replace_repo, repo_path);

    print!("{promt_pwd}"); // A trailing space for aesthetic formatting.
}
